<template>
    <div class="tutorial-holder">
        <div class="nav">
            <div class="divide">Using</div>
            <router-link class="link" to="/tutorial/use/start">Getting Started</router-link>
            <div class="sub-nav">
                <router-link class="link-small" to="/tutorial/use/start#prerequisite">Prerequisite</router-link>
                <router-link class="link-small" to="/tutorial/use/start#installation">Installation</router-link>
                <router-link class="link-small" to="/tutorial/use/start#installing-templates">Installing Templates
                </router-link>
                <router-link class="link-small" to="/tutorial/use/start#using-templates">Using Templates</router-link>
            </div>

            <router-link class="link" to="/tutorial/use/groups#introductions">Groups</router-link>
            <div class="sub-nav">
                <router-link class="link-small" to="/tutorial/use/groups#introductions">Introduction</router-link>
                <router-link class="link-small" to="/tutorial/use/groups#creating-a-group">Creating a group
                </router-link>
                <router-link class="link-small" to="/tutorial/use/groups#installing-templates-to-a-group">Installing
                                                                                                          into a group
                </router-link>
                <router-link class="link-small" to="/tutorial/use/groups#install-a-remote-group">Installing a remote
                                                                                                 group
                </router-link>

                <router-link class="link-small" to="/tutorial/use/groups#publish-your-group">Publish a Group
                </router-link>
                <router-link class="link-small" to="/tutorial/use/groups#update-a-group">Updating a Group
                </router-link>

            </div>
            <router-link class="link" to="/tutorial/use/update">Updating</router-link>
            <div class="sub-nav">
                <router-link class="link-small" to="/tutorial/use/update#update-a-template">Update Template
                </router-link>
                <router-link class="link-small" to="/tutorial/use/update#update-a-local-group">Update Local Group
                </router-link>
                <router-link class="link-small" to="/tutorial/use/update#update-a-remote-group">update Remote Group
                </router-link>
                <router-link class="link-small" to="/tutorial/use/update#update-all-local-templates">Update All Local
                                                                                                     Templates
                </router-link>

            </div>
            <div class="divide">Creating</div>
            <router-link class="link" to="/tutorial/create/start">Quick Start</router-link>
            <div class="sub-nav">
                <router-link class="link-small" to="/tutorial/create/prerequisite">Installation</router-link>
                <router-link class="link-small" to="/tutorial/create/introduction">Introduction</router-link>
                <router-link class="link-small" to="/tutorial/create/scaffold">Create Project</router-link>
                <router-link class="link-small" to="/tutorial/create/write">Write First CyanPrint</router-link>
                <router-link class="link-small" to="/tutorial/create/input">Inquire user inputs</router-link>
                <router-link class="link-small" to="/tutorial/create/publish">Publish your Template</router-link>
                <router-link class="link-small" to="/tutorial/create/gitlab">Auto CI with GitLab</router-link>
            </div>

        </div>
        <div class="content">
            <router-view></router-view>
        </div>
    </div>
</template>

<style lang='scss' scoped>

    .divide {
        font-size: 30px;
        margin: 10px;
    }


    .sub-nav {
        padding: 0 20px;
    }

    .link, .link-small {
        display: block;
        font-size: 18px;
        margin: 0 40px;
        color: dimgrey;

        &:hover {
            text-decoration: underline;
        }
    }

    .link-small {
        font-size: 14px;
        color: darkcyan;
        margin: 10px 40px;
    }

    .tutorial-holder {
        display: flex;
        width: 100%;
        position: relative;

        .nav {
            height: calc(100vh - 60px);
            width: 400px;
            padding: 40px;
            position: relative;
            border-right: 4px solid #eeeeee;
            font-family: Roboto, sans-serif;
            overflow: auto;
            box-sizing: border-box;
        }

        .content {
            height: calc(100vh - 60px);
            overflow-y: scroll;
            width: 100%;
            position: relative;

        }
    }
</style>

<script lang='ts'>
	import {Component, Vue, Watch} from 'vue-property-decorator';
	
	@Component({})
	export default class GettingStarted extends Vue {
		scrollFix(hashbang: string) {
			location.href = hashbang;
		}

		@Watch('$route', {immediate: true, deep: true})
		async onUrlChange() {
			const hash = this.$route.hash;
			console.log('hash', hash);
			if (hash != null && !hash.IsEmpty())
				this.scrollFix(hash);
		}


		mounted() {
			console.log('h-mounted');
			// setTimeout(() => this.scrollFix(this.$route.hash), 1000)
		}
	}
</script>
